# RPM specfile for gnome-cups-manager module
# Generated Tue Aug 19 04:28:09 2003 GMT by Ximian build system
# $Id: bb_do,v 1.235.2.5 2003/07/31 17:23:29 thunder Exp $
# from $Id: ximian-build.conf,v 1.37.2.2 2003/08/19 04:27:14 mibarra Exp $

%define nam	gnome-cups-manager
%define ver	0.16
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	4

Name:     	gnome-cups-manager
Version: 	0.16
Release:	0.ximian.6.4
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.ximian.com/
Source0:	gnome-cups-manager-0.16.tar.gz
Patch0:		gnome-cups-manager-de.po.patch
Patch1:		gnome-cups-manager-linguas.patch
Patch2:		gnome-cups-manager-textdomain.patch
BuildRequires:	pkgconfig
BuildRequires:	cups-devel
BuildRequires:	cups
BuildRequires:	libgnomeui-devel
Summary:	Gnome CUPS Manager
Group:		Applications/System
Requires:	cups
Requires:	cups-libs
Requires:	cups-drivers
Requires:	cups-drivers-hpijs
Requires:	gimp-print-cups
Requires:	libgnomecups >= 0.1.4
Provides:	ximian-gnome-cups-manager = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Conflicts:	redhat-config-printer
Conflicts:	redhat-config-printer-gui
Conflicts:	gnome-cups-manager-devel < 0.16-0.ximian.6.4
Conflicts:	gnome-cups-manager-devel > 0.16-0.ximian.6.4

%description
An interface and library for adding, monitoring, and configuring
printers in the Ximian Desktop.

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
/usr/sbin/*
/usr/bin/*
/usr/lib/*.so.*
/usr/share/icons/*/*/devices/gnome-dev-printer-new.png
/usr/share/icons/*/*/devices/gnome-dev-printer-network.png
/usr/share/locale/*/LC_MESSAGES/*.mo
/usr/share/icons/*/*/emblems/*
/usr/share/pixmaps/gnome-cups-manager
/usr/share/gnome-cups-manager
/usr/lib/bonobo/servers/*.server


%package -n gnome-cups-manager-devel
Summary:	Gnome CUPS Manager Devel
Group:		System Environment/Libraries
Requires:	gnome-cups-manager = 0.16-0.ximian.6.4
Requires:	glib2-devel
Requires:	cups-devel
Requires:	libgnomecups-devel
Provides:	ximian-gnome-cups-manager-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n gnome-cups-manager-devel
Development headers and libraries for gnome-cups-manager

%files -n gnome-cups-manager-devel
%defattr(-, root, root)
/usr/lib/*.a
/usr/lib/*.so
/usr/include/libgnomecups-1
/usr/lib/pkgconfig/*.pc


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-cups-manager-0.16
    ;;
all)
%setup  -q -n gnome-cups-manager-0.16
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
%patch -p1 -P 2
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    autoconf; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}; rm -rf ${DESTDIR}/usr/lib/*.la
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Aug 19 2003 Ximian, Inc.

- Version: 0.16-0.ximian.6.4
- Summary: New build.
- New automated build.

* Fri May 9 2003 Ximian, Inc.

- Version: 0.14-0.ximian.5.1
- Summary: New build.
- New automated build.

* Fri May 2 2003 Ximian, Inc.

- Version: 0.13-0.ximian.1
- Summary: New build.
- New automated build.

* Thu Apr 17 2003 Ximian, Inc.

- Version: 0.12-0.ximian.1
- Summary: New build.
- New automated build.

* Thu Apr 3 2003 Ximian, Inc.

- Version: 0.11-0.ximian.2
- Summary: New build.
- New automated build.

* Thu Mar 20 2003 Ximian, Inc.

- Version: 0.10-0.ximian.2
- Summary: New build.
- New automated build.

* Thu Feb 6 2003 Ximian, Inc.

- Version: 0.8-1.ximian.1
- Summary: New build.
- New automated build.

* Tue Jan 14 2003 Ximian, Inc.

- Version: 0.7-1.ximian.1
- Summary: New build.
- New automated build.

* Wed Dec 4 2002 Ximian, Inc.

- Version: 0.5-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Nov 29 2002 Ximian, Inc.

- Version: 0.4-1.ximian.1
- Summary: New build.
- New automated build.

* Wed Nov 13 2002 Ximian, Inc.

- Version: 0.3-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Nov 7 2002 Ximian, Inc.

- Version: 0.2-1.ximian.0
- Summary: New build.
- New automated build.

* Wed Nov 6 2002 Ximian, Inc.

- Version: 0.1-1.ximian.0
- Summary: New build.
- New automated build.

